Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.client
Class TCPIPSocketEstablishmentInfo

    java.lang.Object
      com.stc.connector.tcpip.model.client.TCPIPSocketEstablishmentInfo

All Implemented Interfaces:
  TCPIPSocketEstablishmentInfoInterface

    public class TCPIPSocketEstablishmentInfo

extends java.lang.Object
implements TCPIPSocketEstablishmentInfoInterface

This class represents TCPIP Socket establishment information.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/04/23 07:15:13 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPSocketEstablishmentInfo()` Constructor for TCPIPSocketEstablishmentInfo.
`TCPIPSocketEstablishmentInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Constructor for TCPIPSocketEstablishmentInfo.

Method Summary
`boolean` | `getAutoReconnectUponMatchingFailure()`
`boolean` | `getCreateConnection()`
`com.stc.connector.framework.util.ConfigurationHelper` | `getInitPropertiesInfo()` Returns the initial configuration.
`int` | `getMaxConnectionRetries()`
`long` | `getRetryConnectionInterval()`
`long` | `getTimeToWaitBeforeAttemptingConnection()`
`boolean` | `isAutoReconnectUponMatchingFailure()`
`boolean` | `isCreateConnection()`
`void` | `setAutoReconnectUponMatchingFailure(boolean b)`
`void` | `setCreateConnection(boolean b)`
`void` | `setMaxConnectionRetries(int i)`
`void` | `setRetryConnectionInterval(long l)`
`void` | `setTimeToWaitBeforeAttemptingConnection(long l)`
`void` | `validate()` Validates the socket configuration settings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPSocketEstablishmentInfo

    public TCPIPSocketEstablishmentInfo()
                                 throws TCPIPApplicationException

  Constructor for TCPIPSocketEstablishmentInfo.

  Throws:
    `TCPIPApplicationException` - on error.

### TCPIPSocketEstablishmentInfo

    public TCPIPSocketEstablishmentInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                                 throws TCPIPApplicationException

  Constructor for TCPIPSocketEstablishmentInfo.

  Parameters:
    `aConfiguration` - The initial properties into.
  Throws:
    `TCPIPApplicationException` - on error.

Method Detail

### getInitPropertiesInfo

    public com.stc.connector.framework.util.ConfigurationHelper getInitPropertiesInfo()

  Returns the initial configuration.

  Returns:
    ConfigurationHelper

### getAutoReconnectUponMatchingFailure

    public boolean getAutoReconnectUponMatchingFailure()

  Specified by:
    `getAutoReconnectUponMatchingFailure` in interface `TCPIPSocketEstablishmentInfoInterface`
  Returns:
    value of AutoReconnectUponMatchingFailure

### getCreateConnection

    public boolean getCreateConnection()

  Specified by:
    `getCreateConnection` in interface `TCPIPSocketEstablishmentInfoInterface`
  Returns:
    value of isCreateConnection

### isAutoReconnectUponMatchingFailure

    public boolean isAutoReconnectUponMatchingFailure()

  Specified by:
    `isAutoReconnectUponMatchingFailure` in interface `TCPIPSocketEstablishmentInfoInterface`
  Returns:
    value of AutoReconnectUponMatchingFailure

### isCreateConnection

    public boolean isCreateConnection()

  Specified by:
    `isCreateConnection` in interface `TCPIPSocketEstablishmentInfoInterface`
  Returns:
    value of isCreateConnection

### getMaxConnectionRetries

    public int getMaxConnectionRetries()

  Specified by:
    `getMaxConnectionRetries` in interface `TCPIPSocketEstablishmentInfoInterface`
  Returns:
    int value of MaxConnectionRetries

### getRetryConnectionInterval

    public long getRetryConnectionInterval()

  Specified by:
    `getRetryConnectionInterval` in interface `TCPIPSocketEstablishmentInfoInterface`
  Returns:
    int value of RetryConnectionInterval

### setAutoReconnectUponMatchingFailure

    public void setAutoReconnectUponMatchingFailure(boolean b)

  Parameters:
    `b` - the value to be set

### setCreateConnection

    public void setCreateConnection(boolean b)

  Parameters:
    `b` - the value to be set

### setMaxConnectionRetries

    public void setMaxConnectionRetries(int i)
                                 throws TCPIPApplicationException

  Parameters:
    `i` - the value to be set
  Throws:
    `TCPIPApplicationException`

### setRetryConnectionInterval

    public void setRetryConnectionInterval(long l)
                                    throws TCPIPApplicationException

  Parameters:
    `l` - the value to be set
  Throws:
    `TCPIPApplicationException`

### getTimeToWaitBeforeAttemptingConnection

    public long getTimeToWaitBeforeAttemptingConnection()

  Specified by:
    `getTimeToWaitBeforeAttemptingConnection` in interface `TCPIPSocketEstablishmentInfoInterface`
  Returns:
    long value value of TimeToWaitBeforeAttemptingConnection

### setTimeToWaitBeforeAttemptingConnection

    public void setTimeToWaitBeforeAttemptingConnection(long l)
                                                 throws TCPIPApplicationException

  Parameters:
    `l` - the value to be set
  Throws:
    `TCPIPApplicationException`

### validate

    public void validate()
                  throws TCPIPApplicationException

  Validates the socket configuration settings.

  Throws:
    `TCPIPApplicationException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD